Install one or more feature licenses
Installs feature licenses to enable specific capabilities within your ONTAP system. This operation is typically used when you need to activate additional functionality by providing valid license keys.
HTTP method and endpoint
POST /cluster/licensing/licenses
Introduced in
ONTAP 9.6
Usage notes
Installs one or more feature licenses.
Required properties
-
keys- Array containing a list of NLF or 28-character license keys.
Related ONTAP commands
-
system license add
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
description |
string |
License description |
entitlement |
||
keys |
array[string] |
|
licenses |
array[licenses] |
Installed licenses of the package. |
name |
string |
Name of the license. |
scope |
string |
Scope of the license. |
state |
string |
Summary state of package based on all installed licenses. |
Example request
{
"description": "NFS License",
"entitlement": {
"action": "string",
"risk": "string"
},
"keys": [
"<LICENSE-KEY>"
],
"licenses": [
{
"capacity": {
"disabled_size": 0,
"maximum_size": 0,
"measurement_unit": "string",
"used_size": 0
},
"compliance": {
"state": "compliant"
},
"expiry_time": "2019-03-02 19:00:00 +0000",
"host_id": "456-44-1234",
"installed_license": "Core Bundle",
"owner": "cluster1",
"serial_number": "123456789",
"start_time": "2019-02-02 19:00:00 +0000"
}
],
"name": "NFS",
"scope": "string",
"state": "compliant"
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[records] |
Example response
{
"num_records": 1,
"records": [
{
"description": "NFS License",
"entitlement": {
"action": "string",
"risk": "string"
},
"keys": [
"<LICENSE-KEY>"
],
"licenses": [
{
"capacity": {
"disabled_size": 0,
"maximum_size": 0,
"measurement_unit": "string",
"used_size": 0
},
"compliance": {
"state": "compliant"
},
"expiry_time": "2019-03-02 19:00:00 +0000",
"host_id": "456-44-1234",
"installed_license": "Core Bundle",
"owner": "cluster1",
"serial_number": "123456789",
"start_time": "2019-02-02 19:00:00 +0000"
}
],
"name": "NFS",
"scope": "string",
"state": "compliant"
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1115117 |
Generic licensing error |
1115122 |
No cluster serial number found |
1115124 |
No node serial number found |
1115130 |
No license code was provided |
1115131 |
Installation of the license failed |
1115132 |
License already exists on system |
1115134 |
Serial number does not belong to node |
1115141 |
License data is invalid |
1115142 |
License signature is invalid |
1115143 |
Internal error applying the requested license |
1115152 |
License does not apply to the platform |
1115154 |
Unable to retrieve cluster ID |
1115155 |
Invalid cluster ID found |
1115159 |
License is not in an acceptable format |
1115160 |
License has already expired |
1115164 |
Minimum ONTAP version requirements not met |
1115165 |
Minimum ONTAP version requirements are not met for license type enabled |
1115166 |
Minimum ONTAP version requirements are not met for license protocol SEC-COMP-BNDL-ENBLD |
1115179 |
FlexCache is not supported on this system |
1115180 |
FlexCache is not supported on cloud systems |
1115407 |
Capacity pool licenses cannot be installed directly |
1115427 |
License is incompatible with capacity pools licensing mode |
1115562 |
One or more errors occurred when installing a NLFv2 license |
1115563 |
Package details and serial number of license contained within the NLFv2 failure |
1115564 |
Package cannot be deleted individually as it is part of a bundle |
1115565 |
NLFv2 install failed as the license serial number is already in use |
1115616 |
Package details and serial number of license included in the install conflict |
1115617 |
NLFv2 license install failed with summary of conflicting licenses |
1115618 |
NLFv2 license install failed as a license with newer timestamp already exists |
5375355 |
The cluster has more nodes than are supported by All SAN Array. |
5375366 |
The cluster has one or more nodes that do not support All SAN Array. |
655294464 |
Failed to extract license contents |
655294465 |
License key is invalid |
655294466 |
Serial number is invalid |
655294467 |
Version number is invalid |
655294468 |
Expired license |
655294469 |
License does not apply to the platform |
655294470 |
License does not apply to the product |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
errors |
array[returned_error] |
Example error
{
"errors": [
{
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
]
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
entitlement
| Name | Type | Description |
|---|---|---|
action |
string |
Entitlement action to be taken to mitigate the risk |
risk |
string |
Entitlement risk of the package |
capacity
| Name | Type | Description |
|---|---|---|
disabled_size |
integer |
Capacity that is currently disabled due to license limits. Its unit of measure is specified in the measurement_unit field. |
maximum_size |
integer |
Licensed capacity size that can be used. Its unit of measure is specified in the measurement_unit field. |
measurement_unit |
string |
Unit of measure for capacity based licenses. |
used_size |
integer |
Total number of GPUs in use on the system when measurement_unit is GPUs; otherwise, the number of bytes in use. |
compliance
| Name | Type | Description |
|---|---|---|
state |
string |
Compliance state of the license. |
licenses
| Name | Type | Description |
|---|---|---|
active |
boolean |
A flag indicating whether the license is currently being enforced. |
capacity |
||
compliance |
||
evaluation |
boolean |
A flag indicating whether the license is in evaluation mode. |
expiry_time |
string |
Date and time when the license expires. |
host_id |
string |
A string that associates the license with a node or cluster. |
installed_license |
string |
Name of license that enabled the feature. |
owner |
string |
Cluster, node or license manager that owns the license. |
serial_number |
string |
Serial number of the license. |
shutdown_imminent |
boolean |
A flag indicating whether the Cloud ONTAP system is going to shutdown as the Cloud platform license has already expired.
|
start_time |
string |
Date and time when the license starts. |
license_package
| Name | Type | Description |
|---|---|---|
description |
string |
License description |
entitlement |
||
keys |
array[string] |
|
licenses |
array[licenses] |
Installed licenses of the package. |
name |
string |
Name of the license. |
scope |
string |
Scope of the license. |
state |
string |
Summary state of package based on all installed licenses. |
records
| Name | Type | Description |
|---|---|---|
description |
string |
License description |
entitlement |
||
keys |
array[string] |
|
licenses |
array[licenses] |
Installed licenses of the package. |
name |
string |
Name of the license. |
scope |
string |
Scope of the license. |
state |
string |
Summary state of package based on all installed licenses. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |